/**
 * 工单来源统计报表
 * */

$(function() {
	//初始化时间
	layui.use('laydate', function() {
		var laydate = layui.laydate;
		laydate.render({
			elem: '#sc_time',
			range: '~',
			theme: '#1ab394',
			calendar: true
		});
	});
	getTableDataList(); //获取表格数据
	//获取区域项目期号
	helper.getDropList.getProLocations($('#sc_rengin'), $('#sc_pro'), $('#sc_floor'));

	//获取工单类型
	helper.getDropList.getlistDropByDic($('#sc_type'), 'GDLX');

	//搜索
	$("#sc_btns").click(function() {
		getTableDataList(); //获取表格数据
	})
});

function getTableDataList() {
	var colsArr = [];
	var loadindex;

	$.ajax({
		type: 'get',
		url: huayi.config.callcenter_url + "WorkOrdersSource/GetDataList",
		async: true,
		dataType: 'json',
		beforeSend: function() {
			loadindex = layer.load()
		},
		data: {
			iseffective: $('#sc_iseffective').val(), //否	int	是否有效工单
			gdlx: $('#sc_type').val(), //否	string	工单类型
			stime: $('#sc_time').val() && $('#sc_time').val().split(' ~ ')[0], //否	string	工单起止时间
			endtime: $('#sc_time').val() && $('#sc_time').val().split(' ~ ')[1], //否	string	工单起止时间
			areaid: $('#sc_rengin').val(), //否	string	区域id
			regionid: $('#sc_pro').val(), //否	string	项目id
			stageid: $('#sc_floor').val(), //否	string	期号id
			token: $.cookie("token"),
		},
		success: function(data) {
			if(data.state.toLowerCase() == "success") {
				var res = data.data;
				var colsArr1 = [];
				if(res && res.length > 0) {
					colsArr1.push({
						field: '区域',
						title: '区域',
						align: 'center',
						fixed: true,
						//sort: true,
						width: 150,
					});

					for(var i in res[0]) {
						if(i === "区域" || i === "合计") {
							continue;
						} else {
							colsArr1.push({
								field: i,
								title: i,
								align: 'center',
							});
						}
					}
					colsArr1.push({
						field: '合计',
						title: '合计',
						align: 'center',
						fixed: 'right',
						sort: true,
						templet: function(d) {
							return '<span class="color_73926">' + d.合计 + '</span>'
						},
						width: 100,
					});
					colsArr.push(colsArr1);
					layui.use('table', function() {
						var table = layui.table;
						//方法级渲染
						table.render({
							elem: '#t_callTotal',
							skin: 'row', //line （行边框风格） row （列边框风格） nob （无边框风格）
							even: true, //开启隔行背景
							size: 'md', //sm,lg,md尺寸的表格
							cellMinWidth: 160,
							//page: true,
							cols: colsArr,
							data: res,
							limit: res.length,//默认是10
							//height: 'full-150'
						});
					})

				}
			}
		},
	}).then(function() {
		layer.close(loadindex);
	});

}
//格式化序号
function setCode(val, row, index) {
	return ++index;
}
//导出
function dcexcel(obj) {
	var url = huayi.config.callcenter_url + "WorkOrdersSource/ExportExcel?token=" + $.cookie("token");
	url += "&iseffective=" + $('#sc_iseffective').val(); //否	int	是否有效工单
	url += "&gdlx=" + $('#sc_type').val(); //否	string	工单类型
	url += "&stime=" + ($('#sc_time').val() && $('#sc_time').val().split(' ~ ')[0]); //否	string	工单起止时间
	url += "&endtime=" + ($('#sc_time').val() && $('#sc_time').val().split(' ~ ')[1]); //否	string	工单起止时间
	url += "&areaid=" + $('#sc_rengin').val(); //否	string	区域id
	url += "&regionid=" + $('#sc_pro').val(); //否	string	项目id
	url += "&stageid=" + $('#sc_floor').val(); //否	string	期号id
	obj.href = url;
}